ChangeSet 1.2099, 2004/11/12 11:43:49-08:00, kay.sievers@vrfy.org

[PATCH] print hotplug SEQNUM as unsigned

Signed-off-by: Kay Sievers <kay.sievers@vrfy.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 lib/kobject_uevent.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)


diff -Nru a/lib/kobject_uevent.c b/lib/kobject_uevent.c
--- a/lib/kobject_uevent.c	2004-11-12 14:52:56 -08:00
+++ b/lib/kobject_uevent.c	2004-11-12 14:52:56 -08:00
@@ -289,10 +289,10 @@
 	spin_lock(&sequence_lock);
 	seq = ++hotplug_seqnum;
 	spin_unlock(&sequence_lock);
-	sprintf(seq_buff, "SEQNUM=%lld", (long long)seq);
+	sprintf(seq_buff, "SEQNUM=%llu", (unsigned long long)seq);
 
-	pr_debug ("%s: %s %s seq=%lld %s %s %s %s %s\n",
-		  __FUNCTION__, argv[0], argv[1], (long long)seq,
+	pr_debug ("%s: %s %s seq=%llu %s %s %s %s %s\n",
+		  __FUNCTION__, argv[0], argv[1], (unsigned long long)seq,
 		  envp[0], envp[1], envp[2], envp[3], envp[4]);
 
 	send_uevent(action_string, kobj_path, envp, GFP_KERNEL);
